<?php
$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3ea2f6" . "e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_0c519e721c" . "c3079fbb252" . "fbd60fd7904" => base64_decode("dG" . "lt" . "ZQ" . "=="), "_8631966daa49670ca939" . "099decd110da" => base64_decode("ZG9jdW1lbnRzLnJldmlldy5jb3VsZG50X3Nhdm" . "VfcmV2aWV3"), "_e21aea73c33e96ef626d3b3b" . "f9623593" => base64_decode("YXJyYXlfcHVzaA=" . "="), "aggregatio" . "n" => base64_decode("YWdncmVnYXRpb24" . "="), "i" . "d" => base64_decode("aW" . "Q="), "_86e12158655092a9838a837f6cf6d" . "639" => base64_decode("Li4vY29tbW9uL" . "2VybXNfcGtnLn" . "BocA=="), "_d45d4542485f431" . "c8ce569c3b78bf6a" . "c" => base64_decode("ZG9jdW1lbnRzLnJldmlldy5jb3VsZG50X3NhdmVfcmV2aWV3X29iamVjdF9wcm9wZXJ0aWVzX25vdF9kZWZpbm" . "Vk"), "_31d3a45fa3ac6" . "bf665e242867c4" . "7d36d" => base64_decode("cmV2a" . "WV3X2" . "5vdGU" . "="), "object_" . "id" => base64_decode("b2Jq" . "ZWN0" . "X2lk"), "_6e38cb9e043a07cd69a1711a6704" . "c62a" => base64_decode("cGFyZW50X2l" . "k"), "_7938a4bc6dee44de9e5584868" . "93383e8" => base64_decode("U0VMRUNUIGlkIEZST00gRVJNU19yZXZpZXcgV0hFUkUgb2JqZWN0X2lkPWludDpvYmplY3RfaWQgQU5EIGFnZ3JlZ2F0aW9uPWludDphZ2dyZ" . "WdhdGlvbiBPUkRFUiBCWSByZXZpZXdfdGltZQ=="), "_fdcaab7e53" . "b5502b037e5" . "37152ac14e4" => base64_decode("REVMRVRFIEZST00gRVJNU19yZ" . "XZpZXcgV0hFUkUgaWQ9aW50Om" . "lk"), "_bc766c1c3e88" . "d30acea7056ca" . "8cfb584" => base64_decode("U0VMRUNUICogRlJPTSBFUk1TX3Jldml" . "ldyBXSEVSRSBpZCA9IGludDppZA=="), "_940d33ece5d0278f365b117a2a9dc" . "290" => base64_decode("cmV2aWV3X3RpbW" . "U="), "_8d7dd6fb2fe774b3824926484f" . "fba679" => base64_decode("SU5TRVJUIElOVE8gRVJNU19yZXZpZXcgKG9iamVjdF9pZCwgYWdncmVnYXRpb24sIHBhcmVudF9pZCwgcmV2aWV3" . "X3RpbWUsIHJldmlld19ub3RlKSBWQUxVRVMgKGludDpvYmplY3RfaWQsIGludDphZ2dyZWdhdGlvbiwgaW50OnBh" . "cmVudF9pZCwgaW50OnJldmlld190aW1lLCBzdHI6cmV2aWV3X25vdGUp"));
use Claromentis\Core\DAL;
class ERMSReview extends ErrorHandler
{
    var $id;
    var $object_id;
    var $aggregation;
    var $parent_id = 0;
    var $review_time;
    var $review_note;
    public function __construct($id = 0)
    {
        if ($id) {
            return $this->GetByID($id);
        }
        return true;
    }
    public function SetObject($aggregation, $object_id, $_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->aggregation = $aggregation;
        $this->object_id = $object_id;
        $this->parent_id = $_6e38cb9e043a07cd69a1711a6704c62a;
    }
    function GetObject()
    {
        require_once $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_86e12158655092a9838a837f6cf6d63" . "9"];
        global $g_erms_browser;
        if ($this->aggregation == AGGREGATION_DATA) {
            return $g_erms_browser->GetData($this->object_id, $this->parent_id);
        } else {
            return $g_erms_browser->GetERMSObject($this->object_id, $this->aggregation);
        }
    }
    function SetTime($_c8b38c7133c2e8460c1cca42230ac6c2)
    {
        $this->review_time = $_c8b38c7133c2e8460c1cca42230ac6c2;
    }
    function GetTime()
    {
        return $this->review_time;
    }
    function SetNote($_42f4f5c47629333345a44de2ac08c8b4)
    {
        $this->review_note = $_42f4f5c47629333345a44de2ac08c8b4;
    }
    function GetNote()
    {
        return $this->review_note;
    }
    function Save()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        if (empty($this->object_id) || empty($this->aggregation)) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_d45d4542485f431c8ce569c3b" . "78bf6ac"]));
        }
        
        
        
        if (!$this->parent_id) {
            $this->parent_id = 0;
        }
        $_25b9db1c0742750fdff46948cbf57c67 = empty($this->review_time) ? $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c519e721cc307" . "9fbb252fbd60fd7" . "904"]() : $this->review_time;
        $_1b4e93bb4d445b083d9fcb016416a70d = new DAL\Query($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_8d7dd6fb2fe774b3824926484ffb" . "a679"], $this->object_id, $this->aggregation, $this->parent_id, $_25b9db1c0742750fdff46948cbf57c67, $this->review_note);
        $db->query($_1b4e93bb4d445b083d9fcb016416a70d);
        $this->id = $db->insertID();
        if (!$this->id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8631966d" . "aa49670ca" . "939099dec" . "d110da"]));
        }
        
        
        
        
        
        
        
        
        
        return true;
    }
    function Delete()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $_1b4e93bb4d445b083d9fcb016416a70d = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_fdcaab7e5" . "3b5502b037" . "e537152ac1" . "4e4"], $this->id);
        $db->query($_1b4e93bb4d445b083d9fcb016416a70d);
    }
    function GetByID($id)
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $_1b4e93bb4d445b083d9fcb016416a70d = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_bc766c1c3e88d30ace" . "a7056ca8cfb584"], $id);
        $_189840d11056515e52402d1412a0b6e4 = $db->query($_1b4e93bb4d445b083d9fcb016416a70d);
        if ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->id = $id;
            $this->object_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["ob" . "je" . "ct" . "_i" . "d"]];
            $this->aggregation = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["aggrega" . "tion"]];
            $this->parent_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_6e38cb9e043a07" . "cd69a1711a6704c" . "62a"]];
            $this->review_time = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_940d33ece5d0278f365b1" . "17a2a9dc290"]];
            $this->review_note = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_31d3a45fa3ac6bf" . "665e242867c47d36" . "d"]];
            return true;
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    
    
    
    
    public static function GetAllReviewByObject($_01ae63927cddbad58fea82ff8663c880, $_815e45738c8609a46c37fa19303a9af4 = 0)
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $_f274035cf280fb57c0c9ef54d849a83d = array();
        $object_id = $_01ae63927cddbad58fea82ff8663c880->GetID();
        $aggregation = $_01ae63927cddbad58fea82ff8663c880->GetAggregation();
        $_1b4e93bb4d445b083d9fcb016416a70d = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_7938a4bc6dee44de9e55848" . "6893383e8"], $object_id, $aggregation);
        if ($_815e45738c8609a46c37fa19303a9af4) {
            $_1b4e93bb4d445b083d9fcb016416a70d->setLimit(1, 0);
        }
        $_189840d11056515e52402d1412a0b6e4 = $db->query($_1b4e93bb4d445b083d9fcb016416a70d);
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_e21aea73c33e96e" . "f626d3b3bf962359" . "3"]($_f274035cf280fb57c0c9ef54d849a83d, new ERMSReview($_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["i" . "d"]]));
        }
        if ($_815e45738c8609a46c37fa19303a9af4) {
            return $_f274035cf280fb57c0c9ef54d849a83d[0];
        }
        return $_f274035cf280fb57c0c9ef54d849a83d;
    }
}